PropertyPlaceholderProcessor (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.processors.PropertyPlaceholderProcessor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.processors
Class PropertyPlaceholderProcessor

    java.lang.Object
      org.springframework.core.io.support.PropertiesLoaderSupport
          org.springframework.beans.factory.config.PropertyResourceConfigurer
              org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
                  org.mule.config.spring.processors.PropertyPlaceholderProcessor

All Implemented Interfaces:
  MuleContextAware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered, org.springframework.core.PriorityOrdered

    public class PropertyPlaceholderProcessor

extends org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
implements MuleContextAware

TODO

Field Summary

Fields inherited from class org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
`DEFAULT_PLACEHOLDER_PREFIX, DEFAULT_PLACEHOLDER_SUFFIX, SYSTEM_PROPERTIES_MODE_FALLBACK, SYSTEM_PROPERTIES_MODE_NEVER, SYSTEM_PROPERTIES_MODE_OVERRIDE`

Fields inherited from class org.springframework.core.io.support.PropertiesLoaderSupport
`logger, XML_FILE_EXTENSION`

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`PropertyPlaceholderProcessor()`

Method Summary
`Map` | `getFactories()`
`protected Properties` | `mergeProperties()`
`void` | `setFactories(Map factories)`
`void` | `setMuleContext(MuleContext muleContext)`

Methods inherited from class org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
`parseStringValue, processProperties, resolvePlaceholder, resolvePlaceholder, resolveSystemProperty, setBeanFactory, setBeanName, setIgnoreUnresolvablePlaceholders, setNullValue, setPlaceholderPrefix, setPlaceholderSuffix, setSearchSystemEnvironment, setSystemPropertiesMode, setSystemPropertiesModeName`

Methods inherited from class org.springframework.beans.factory.config.PropertyResourceConfigurer
`convertProperties, convertPropertyValue, getOrder, postProcessBeanFactory, setOrder`

Methods inherited from class org.springframework.core.io.support.PropertiesLoaderSupport
`loadProperties, setFileEncoding, setIgnoreResourceNotFound, setLocalOverride, setLocation, setLocations, setProperties, setPropertiesArray, setPropertiesPersister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyPlaceholderProcessor

    public PropertyPlaceholderProcessor()

Method Detail

### mergeProperties

    protected Properties mergeProperties()
                                  throws IOException

  Overrides:
    `mergeProperties` in class `org.springframework.core.io.support.PropertiesLoaderSupport`
  Throws:
    `IOException`

### getFactories

    public Map getFactories()

### setFactories

    public void setFactories(Map factories)

### setMuleContext

    public void setMuleContext(MuleContext muleContext)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.